Have used 0.5 in a project and since I am using Eclipse as PHP editor I get tons of JavaScript errors in the xajax_js folder.

The errors are mainly due to missing semicolons.

eg.:

xajax_core.js:4
xajax.config={};xajax.config.setDefault=function(option,defaultValue){if('undefined'==typeof xajax.config[option])
xajax.config[option]=defaultValue;}

should be
xajax.config={};xajax.config.setDefault=function(option,defaultValue){if('undefined'==typeof xajax.config[option])
xajax.config[option]=defaultValue;};

I assume that what I am using is a compressed version of the js files so probably won't make much sense to change that here. Though I would fix that if you want.